Summary:	OpenGL-based equation viewer and solver
Name:		zhu3d
Version:	4.2.6
Release:	%mkrel 16
License:	GPLv3
Group:		Sciences/Mathematics
Url:		http://kde-apps.org/content/show.php?content=43071
Source0:	http://download.sourceforge.net/zhu3d/%{name}-%{version}.tar.gz
# https://sourceforge.net/p/zhu3d/patches/4
Source1:	%{name}.desktop
# https://sourceforge.net/p/zhu3d/patches/2
Source2:	%{name}-4.2.6-languages.tar.gz
# https://sourceforge.net/p/zhu3d/patches/2
Source3:	%{name}-4.2.6-doc.tar.gz
Patch0:		%{name}-4.2.6-path.patch
# https://sourceforge.net/p/zhu3d/bugs/3
Patch1:		%{name}-4.2.6-gentoo-qt5.patch
# https://sourceforge.net/p/zhu3d/patches/2
Patch2:		%{name}-4.2.6-add-russian.patch
# https://sourceforge.net/p/zhu3d/patches/3
Patch3:		%{name}-4.2.6-qttranslations.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(glu)
Recommends:		qttranslations5

%description
With Zhu3D you interactively can view and animate functions,
isosurfaces and a further independent parametric system.
Numerical solutions of equation systems can be found with
a precise and reliable adaptive random search. The
OpenGL-viewer supports zooming, scaling, rotating and
translating as well as filed lightning or surface properties.
Special effects are transparency, textures, fog and motion blur.

%prep
%setup -q
pushd system
tar -xf %{SOURCE2}
popd
tar -xf %{SOURCE3}
%autopatch -p1

%build
# setup compile flags is needed so that -fPIC and -DPIC will be overwritten
%set_build_flags
%qmake_qt5
%make_build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/{work/textures,work/slideshow,system/languages}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps

install -Dm755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dpm644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -pm644 work/*.zhu %{buildroot}%{_datadir}/%{name}/work
install -pm644 work/textures/* %{buildroot}%{_datadir}/%{name}/work/textures
install -pm644 work/slideshow/* %{buildroot}%{_datadir}/%{name}/work/slideshow
install -pm644 system/*.zhu %{buildroot}%{_datadir}/%{name}/system
install -pm644 system/languages/*.qm %{buildroot}%{_datadir}/%{name}/system/languages
install -pm644 system/icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%files
%doc doc/* readme.txt
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/work
%dir %{_datadir}/%{name}/work/textures
%dir %{_datadir}/%{name}/work/slideshow
%dir %{_datadir}/%{name}/system
%dir %{_datadir}/%{name}/system/languages
%{_datadir}/%{name}/system/languages/%{name}*.qm
%{_datadir}/%{name}/work/*.zhu
%{_datadir}/%{name}/work/textures/*.jpg
%{_datadir}/%{name}/work/textures/*.txt
%{_datadir}/%{name}/work/slideshow/*.zhu
%{_datadir}/%{name}/work/slideshow/*.txt
%{_datadir}/%{name}/system/*.zhu
%{_iconsdir}/hicolor/64x64/apps/*.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 4.2.6-16.mga8
+ Revision: 1660341
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 4.2.6-15.mga8
+ Revision: 1526241
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Mon Apr 29 2019 alexl <alexl> 4.2.6-14.mga7
+ Revision: 1395822
- added Russian language
- fixed localization of qt strings
- install slideshow dir
- fixed help system by installation of docs in awaited dir
- install all langs to allow to switch them by gui
- fixed localization of application by fixing path in path.patch

* Tue Apr 02 2019 umeabot <umeabot> 4.2.6-13.mga7
+ Revision: 1385372
- Qt5 Rebuild

* Thu Feb 14 2019 alexl <alexl> 4.2.6-12.mga7
+ Revision: 1366842
- qt5 port based on gentoo patch

* Sun Sep 23 2018 umeabot <umeabot> 4.2.6-11.mga7
+ Revision: 1302053
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 4.2.6-10.mga6
+ Revision: 950971
- Mageia 6 Mass Rebuild

* Thu Nov 27 2014 alexl <alexl> 4.2.6-9.mga5
+ Revision: 799495
- added GenericName
- translated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 4.2.6-8.mga5
+ Revision: 750011
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.6-7.mga5
+ Revision: 690873
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.2.6-6.mga4
+ Revision: 528902
- Mageia 4 Mass Rebuild

* Sat Jun 29 2013 wally <wally> 4.2.6-5.mga4
+ Revision: 448256
- fix license

* Sat Jun 29 2013 wally <wally> 4.2.6-4.mga4
+ Revision: 448243
- fix file permissions and preserve file dates

* Sat Jun 29 2013 wally <wally> 4.2.6-3.mga4
+ Revision: 448226
- fix icon location which got broken in previous release

* Sat Jun 29 2013 wally <wally> 4.2.6-2.mga4
+ Revision: 448222
- fix file locations
- clean .spec a bit

* Sun Jun 09 2013 fwang <fwang> 4.2.6-1.mga4
+ Revision: 441237
- new version 4.2.6
+ dmorgan <dmorgan>
- imported package zhu3d


* Wed Jun 03 2009 Funda Wang <fundawang@mandriva.org> 4.2.2-1mdv2010.0
+ Revision: 382342
- New version 4.2.2
- use setup_compile_flags to export FLAGS, in order that Qt4 implies -fPIC -DPIC

* Tue Jan 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.1.8-1mdv2009.1
+ Revision: 325176
- remove DPIC and fPIC from compile flags

  + Funda Wang <fundawang@mandriva.org>
    - New version 4.1.8
    - rediff path patch
    - New version 4.1.2
    - no needed to use flags as it is exported by qmake macro

* Sun Jul 27 2008 Funda Wang <fundawang@mandriva.org> 4.1.0-1mdv2009.0
+ Revision: 250483
- New version 4.1.0

* Mon Jul 21 2008 Funda Wang <fundawang@mandriva.org> 4.0.8-1mdv2009.0
+ Revision: 239506
- New version 4.0.8
- drop unneeded gcc 4.3 patch

* Sat Jun 28 2008 Funda Wang <fundawang@mandriva.org> 4.0.6-1mdv2009.0
+ Revision: 229756
- add gcc43 patch from arklinux
- use correct optflags
- New version 4.0.6

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Apr 12 2008 Funda Wang <fundawang@mandriva.org> 4.0.4-1mdv2009.0
+ Revision: 192602
- New version 4.0.4

* Tue Mar 11 2008 Funda Wang <fundawang@mandriva.org> 4.0.0-1mdv2008.1
+ Revision: 185931
- Updated to new version 4.0.0

* Sun Mar 09 2008 Funda Wang <fundawang@mandriva.org> 3.4.8-1mdv2008.1
+ Revision: 182805
- New version 3.4.8

* Sat Mar 08 2008 Funda Wang <fundawang@mandriva.org> 3.4.6-1mdv2008.1
+ Revision: 182052
- update to new version 3.4.6

* Sun Feb 24 2008 Funda Wang <fundawang@mandriva.org> 3.4.4-1mdv2008.1
+ Revision: 174227
- New version 3.4.4

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 3.4.2-1mdv2008.1
+ Revision: 158672
- New version 3.4.2

* Tue Jan 08 2008 Funda Wang <fundawang@mandriva.org> 3.4.0-1mdv2008.1
+ Revision: 146569
- update to new version 3.4.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.3.6-1mdv2008.1
+ Revision: 133092
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Funda Wang <fundawang@mandriva.org> 3.3.4-1mdv2008.1
+ Revision: 119081
- New version 3.3.4

* Fri Dec 07 2007 Funda Wang <fundawang@mandriva.org> 3.3.2-1mdv2008.1
+ Revision: 116309
- update to new version 3.3.2

* Mon Dec 03 2007 Funda Wang <fundawang@mandriva.org> 3.3.0-1mdv2008.1
+ Revision: 114556
- New version 3.3.0
- rediff patch0

* Sat Dec 01 2007 Funda Wang <fundawang@mandriva.org> 3.2.9-3mdv2008.1
+ Revision: 114248
- remove quotes in desktop file

* Fri Nov 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2.9-2mdv2008.1
+ Revision: 114035
- fix patch 0 :|

* Fri Nov 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2.9-1mdv2008.1
+ Revision: 113997
- rewrite patch 0
- new version

* Mon Nov 26 2007 Funda Wang <fundawang@mandriva.org> 3.2.0-1mdv2008.1
+ Revision: 112079
- New version 3.2.0

* Fri Nov 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.8-1mdv2008.1
+ Revision: 111372
- new version

* Mon Nov 19 2007 Funda Wang <fundawang@mandriva.org> 3.1.6-1mdv2008.1
+ Revision: 110399
- drop kdelibs BR
- New version 3.1.6

* Thu Nov 15 2007 Funda Wang <fundawang@mandriva.org> 3.1.4-1mdv2008.1
+ Revision: 108889
- New version 3.1.4

* Mon Nov 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.2-2mdv2008.1
+ Revision: 106221
- fix typo in desktop file

* Sun Nov 04 2007 Funda Wang <fundawang@mandriva.org> 3.1.2-1mdv2008.1
+ Revision: 105741
- New version 3.1.2

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.0-2mdv2008.1
+ Revision: 102410
- better desktop file
- new license policy

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.0-1mdv2008.1
+ Revision: 102326
- new version

* Tue Oct 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.9-1mdv2008.1
+ Revision: 101371
- new version

* Tue Oct 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.6-1mdv2008.1
+ Revision: 98767
- new version

* Sun Sep 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.4-1mdv2008.0
+ Revision: 93933
- new version
- new version

* Fri Aug 10 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.0-1mdv2008.0
+ Revision: 61051
- new version

* Thu Jul 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.9.8-1mdv2008.0
+ Revision: 53663
- new version
- drop X-MandrivaLinux from desktop file

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.9.6-2mdv2008.0
+ Revision: 32015
- rebuild


* Tue Feb 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.9.6-1mdv2007.0
+ Revision: 123170
- new version
- some cleans in spec file

* Tue Jan 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.9.4-1mdv2007.1
+ Revision: 112454
- provide desktop file
- add patch 0
- complete spec file
- Import zhu3d

